<!DOCTYPE html>
<html>
<head>
	<title>Css Tricks - Animate</title>
	<link rel="stylesheet" type="text/css" href="assets/css/reset.css">
	<link rel="stylesheet" type="text/css" href="assets/css/tricks.css">
</head>
<body>
	<main>
		<section>
			<h2>Help MDN > <a href="https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations" target="_blank">https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Animations/Using_CSS_animations</a></h2>
			<h2>fadeIn</h2>
			<div class="animate" id="fadeIn">
				<img src="http://amoureusedetoi.a.m.pic.centerblog.net/wx3g35xo.jpg">
			</div>
			<style type="text/css" contenteditable>
			@keyframes fadeIn{

				from{

					opacity: 0;

				}

				to{

					opacity: 1;
				}
			}


			#fadeIn{

				animation-duration: 6s;
				animation-iteration-count: infinite;
				animation-name: fadeIn;
			}
			</style>
			<h2>colorSwitch</h2>
			<div class="animate" id="colorSwitch"></div>
			<style type="text/css">
			@keyframes colorSwitch{

				from{

					background-color: red;
				}

				to{

					background-color: yellow;
				}
			}

			#colorSwitch{

				animation-duration: 3s;
				animation-iteration-count: infinite;
				animation-name: colorSwitch;

			}
			</style>
			<h2>rotate</h2>
			<div class="animate" id="rotate">
				<img src="http://amoureusedetoi.a.m.pic.centerblog.net/wx3g35xo.jpg">
			</div>
			<style type="text/css" contenteditable>
			@keyframes rotate{

				from{

					transform: rotate(-360deg);
					transform-origin: 50% 50%;

				}

				to{

					transform: rotate(0deg);
					transform-origin: 50% 50%;
				}
			}


			#rotate img{

				animation-duration: 1s;
				animation-iteration-count: infinite;
				animation-name: rotate;

			}
			</style>
			<h2>coucou</h2>
			<div class="animate" id="coucou">
				<img src="http://amoureusedetoi.a.m.pic.centerblog.net/wx3g35xo.jpg">
			</div>
			<style type="text/css" contenteditable>
			@keyframes coucou{

				from{

					margin-left: -100%; 

				}

				to{

					margin-left: 50%;
				}
			}


			#coucou img{

				animation-duration: 2s;
				animation-iteration-count: infinite;
				animation-name: coucou;
				position: absolute;
				z-index: -1;
				width: 25%;


			}
			</style>		

</section>
</main>-
</body>
</html>